Skip to main content

Retrieve a chart

Rate limits

This endpoint does not belong to the priority lane. Do not use it within your ticket sales flow.

This endpoint retrieves the metadata that is shared between the published and draft versions of a chart (id, key, status, archived etc).

GET https://api-{region}.seatsio.net/charts/{key}

GET https://api-{region}.seatsio.net/charts/{key}?expand=events

Query parameters​

  • expand: (optional) A chart can have events linked to it. By adding expand=events, the events are returned in the 'events' field in the response. At most the 10,000 newest events are returned. To get all events of a chart, page by page, use List events for a chart instead.

Example​

curl https://api-{region}.seatsio.net/charts/749b9650-24fb-11e7-93ae-92361f002671 \
-u aSecretKey:

The response is a JSON object that represents the chart:

{
"name":"chart2",
"id":"19",
"key":"749b9650-24fb-11e7-93ae-92361f002671",
"status":"NOT_USED",
"archived": false,
"tags": ['tag1', 'tag2'],
"publishedVersionThumbnailUrl": "https://thumbnails.seats.io/workspaceKey/.../published/.../thumbnail",
"venueType": "SIMPLE",
"validation": {
"errors": ["VALIDATE_OBJECTS_WITHOUT_CATEGORIES"],
"warnings": ["VALIDATE_DUPLICATE_LABELS"]
}
}
}

status can take the following values:

  • 'NOT_USED': there's no event yet for the chart
  • 'PUBLISHED': there's an event for the chart, and there's no draft version
  • 'PUBLISHED_WITH_DRAFT': there's an event for the chart, and there's a draft version

And with expand=events, it includes the events:

{
"name":"chart2",
"id":"19",
"key":"749b9650-24fb-11e7-93ae-92361f002671",
"status":"NOT_USED",
"archived": false,
"tags": ['tag1', 'tag2'],
"publishedVersionThumbnailUrl": "https://thumbnails.seats.io/workspaceKey/.../published/.../thumbnail",
"venueType": "SIMPLE",
"validation": {
"errors": ["VALIDATE_OBJECTS_WITHOUT_CATEGORIES"],
"warnings": ["VALIDATE_DUPLICATE_LABELS"]
},
"events": [
{
"id": "50",
"bookWholeTables": false,
"key": "eventKey2"
},
{
"id": "49",
"bookWholeTables": false,
"key": "event34"
}
]
}

Error 404 (Not Found) is returned when the chart does not exist.